<template>
  <StyledFooterContainer>
    <StyledSpace space="20px" />
    <StyledContainer>
      <a-row type="flex" align="middle" justify="center">
        <a-col :xl="{ span: 4 }">
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
        </a-col>
        <a-col :xl="{ span: 4 }">
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
        </a-col>
        <a-col :xl="{ span: 4 }">
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
        </a-col>
        <a-col :xl="{ span:6 }" :offset="6">
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
          <p>Lorem ipsum</p>
        </a-col>
      </a-row>
      <StyledFlexContainer justify="center" wsize="100%">
        <StyledFooterLicense>
          <p>Todos os direitos reservados - Cultura Cosmo 2021</p>
        </StyledFooterLicense>
      </StyledFlexContainer>
    </StyledContainer>
  </StyledFooterContainer>
</template>

<script>

import { StyledFooterContainer, StyledFooterLicense } from '../../../styles/Organisms/OrganismSectionFooter/OrganismSectionFooter';

import { StyledContainer, StyledSpace, StyledFlexContainer } from '../../../styles/Styles';

export default {
  name: 'OrganismSectionFooter',

  components: {
    StyledFooterContainer,
    StyledFooterLicense,
    StyledContainer,
    StyledFlexContainer,
    StyledSpace,
  },

  props: {
    space: {
      type: String,
    },
  },
};
</script>
